Bug 848862 - Report event on time drift between engine and vdsm
Report event on time drift between engine and vdsm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Eli Mesika
Pavel Stehlik
infra
: FutureFeature
Depends On:
Blocks: 856749
  Show dependency treegraph
 
Reported: 2012-08-16 11:47 EDT by Yair Zaslavsky
Modified: 2015-03-04 19:18 EST (History)
13 users (show)

See Also:
Fixed In Version: si19
Doc Type: Release Note
Doc Text:
The Red Hat Enterprise Virtualization Manager is now able to automatically detect time drift on virtualization hosts. To use this functionality, set these configuration values using the rhevm-config command: * EnableHostTimeDrift - Enables time drift detection, the default value is false. * HostTimeDriftInSec - Sets the maximum time drift allowable, in seconds, before an alert is raised. The default value is 300. Each time the Red Hat Enterprise Virtualization Manager checks the state of the host, it compares the system time of the two systems, expressed in GMT. If EnableHostTimeDrift is true and the manager detects that the times returned differ by more than HostTimeDriftInSec, an alert is written to the log file. A "VDS_TIME_DRIFT_ALERT" event is also raised, which can be tracked using the event notification daemon.
Story Points: ---
Clone Of:
: 856749 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:16:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ykaul: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Yair Zaslavsky 2012-08-16 11:47:02 EDT
Description of problem:

Engine should compare its time with the reported time from VDSM.
A configuration value should be added in order to set the maximum allowed time drift. If the time drift is bigger than this value, an event should be created.
In addition, a config option to turn on or off the time drifting report should be added.
This should be taken both at engine code and in RHEVM-Config

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 9 Eli Mesika 2012-09-09 08:49:01 EDT
5 patches , started at 
http://gerrit.ovirt.org/#/c/7826/
Comment 11 Andrew Cathrow 2012-09-11 09:43:15 EDT
This patch series adds time drift check per host.
New configuration values were added
EnableHostTimeDrift - indicates if time-drift check is ON (default
false)
HostTimeDriftInSec  - Max allowed time drift in seconds (default 300)
Each time that getVdsStsats is executed by the engine, it gets the host
date in GMT and compare it with local engine date, if the difference in
seconds exceeded HostTimeDriftInSec and EnableHostTimeDrift is ON, an
ALERT is written to the log.
The new configuration values are available for editing in engine-config
and the new event named VDS_TI
Comment 12 Yaniv Kaul 2012-09-11 09:44:34 EDT
From the patch description:
This patch series adds time drift check per host.
New configuration values were added
EnableHostTimeDrift - indicates if time-drift check is ON (default
false)
HostTimeDriftInSec  - Max allowed time drift in seconds (default 300)
Each time that getVdsStsats is executed by the engine, it gets the host
date in GMT and compare it with local engine date, if the difference in
seconds exceeded HostTimeDriftInSec and EnableHostTimeDrift is ON, an
ALERT is written to the log.
The new configuration values are available for editing in engine-config
and the new event named VDS_TIME_DRIFT_ALERT can be managed to get
notifications on that event.

To prevent event-flood, this event is issued once an hour per Host.
Comment 14 Eli Mesika 2012-09-20 08:32:34 EDT
fixed in commit: 625e2d3, 0906a4f, f30248a, dbf3fb4, fc9a04d
Comment 19 Pavel Stehlik 2012-10-19 11:37:15 EDT
ok - si21
Comment 21 errata-xmlrpc 2012-12-04 14:16:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1506.html

Note You need to log in before you can comment on or make changes to this bug.